#################################################
#
#  (C) 2013 Alexander Golubev 
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### librenaudioplugin (kpart) #################

tde_add_kpart( librenaudioplugin AUTOMOC
  SOURCES audiopreview.cpp audio_plugin.cpp
  LINK tdeio-shared tdemediaplayer-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES renaudiodlg.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
